Page MenuHomePhabricator

Are we using 3DS APi call for Ingenico?
Closed, ResolvedPublic

Description

I wanted to confirm if we are using 3DS APi call for Ingenico. Last I heard we had not re-enabled this capability, but they are charging us for it.

Examples of trnxs that we would have sent this API: 6599529660, 1794929388, 9642025491

Please confirm if we are able to request 3DS. And if so, what countries is this enabled for?

Event Timeline

Ppena created this task.Nov 7 2016, 5:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2016, 5:56 PM
ggellerman triaged this task as Normal priority.Nov 8 2016, 10:37 PM
K4-713 added a subscriber: K4-713.Nov 8 2016, 10:38 PM

Check for enabled 3DS currencies in LocalSettings. I believe there's an array we can alter fairly trivially if enabling doesn't hurt conversion too much.

Ejegg closed this task as Resolved.Feb 2 2017, 9:19 PM
Ejegg claimed this task.
Ejegg added a subscriber: Ejegg.

Figured this out - we had disabled it in LocalSettings by setting wgDonationInterface3DSRules to an empty array.

Then we converted DonationInterface to use modern extension registration. The defaults are listed in extension.json, and LocalSettings changes are merged in instead of replacing the defaults. So our empty array no longer had the effect of disabling the default.

3DS was in use from July of 2016 through the end of January 2017.

A few days ago I found a workaround for the merged settings, so it is now off again.